GetResourceAttribute
GET
/api/v1/resources/{resource}/resourceattributes/{resource_attribute}Fetch one attribute of a resource by name.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/resources/{resource}/resourceattributes/{resource_attribute}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/resources/{resource}/resourceattributes/{resource_attribute}"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequiredFormat:
resources/{resource}/resourceattributes/{resource_attribute}
Response
Section titled “Response”200ResourceAttributeA ResourceAttribute is a key/value pair attached to a resource, sourced from
an external system such as Okta. Attributes are arbitrary metadata
set by operators.
namestringAssigned by Oblique. Name of the attribute of the format
resources/{resource}/resourceattributes/{resource_attribute}.createTimestring (date-time)read-onlyCreate timestamp of the attribute. This is the time of the first sync that detected the attribute.
updateTimestring (date-time)read-onlyThe last time that the attribute was modified.
integrationstringrequiredThe integration that manages the attribute.
Format:
integrations/{integration}keystringrequiredThe key of the attribute.
valuestringrequiredThe value of the attribute.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |